#ifndef __UDS_27SERVICE_INTERNA_H
#define __UDS_27SERVICE_INTERNA_H
#include "TYW_stdint.h"
#include "UDS_Common.h"

typedef enum
{
   DelayLv1=0,
   DelayLv3,
   BothDelay,
}Ser27_DelayLevel;

void Ser27_CreateRandomSeed(void);
void Ser27_ErrDelayTimerCtrlInit(void); 
void Ser27_EnDelayTimer(Ser27_DelayLevel delayLevel);

extern uint32_t Ser27_SeedRandomNumber;
void Ser27_WriteCtrlInfoToDFlash(void);
void Ser27_ReadCtrlInfoFromDFlash(void);

#endif
